﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Range_Pinger
{
    class PingResult
    {
           
        public System.Net.NetworkInformation.PingReply Reply { get; set; }

        public System.Net.IPAddress RemoteAddress { get; set; }

        public System.Net.NetworkInformation.PingOptions Options { get; set; }

        public DateTime StartTime { get; set; }

        public Decimal BufferSize { get; set; }

        public PingResult(System.Net.NetworkInformation.PingReply reply, 
                          System.Net.IPAddress address, 
                          System.Net.NetworkInformation.PingOptions options, 
                          DateTime dateTime,
                          Decimal bufferSize)
        {
            this.Reply = reply;
            this.RemoteAddress = address;
            this.Options = options;
            this.StartTime = dateTime;
            this.BufferSize = bufferSize;
        }
    }
}
